OGRE-Next: Ogre::UnifiedHighLevelGpuProgramFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::UnifiedHighLevelGpuProgramFactory Class Reference
Core » Resources

Factory class for Unified programs. More...

`#include <OgreUnifiedHighLevelGpuProgram.h>`

Inheritance diagram for Ogre::UnifiedHighLevelGpuProgramFactory:
[legend]

## Public Member Functions
| UnifiedHighLevelGpuProgramFactory ()
| ~UnifiedHighLevelGpuProgramFactory () override
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader) override
void | destroy (HighLevelGpuProgram *prog) override
const String & | getLanguage () const override
| Get the name of the language this factory creates programs for.
Public Member Functions inherited from Ogre::HighLevelGpuProgramFactory
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()

## Detailed Description

Factory class for Unified programs.

## Constructor & Destructor Documentation

## ◆ UnifiedHighLevelGpuProgramFactory()

Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory | ( |  | ) |

## ◆ ~UnifiedHighLevelGpuProgramFactory()

Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory | ( |  | ) |
| override

## Member Function Documentation

## ◆ create()

HighLevelGpuProgram * Ogre::UnifiedHighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )
| overridevirtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::UnifiedHighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| overridevirtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ getLanguage()

const String & Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage | ( |  | ) | const
| overridevirtual

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreUnifiedHighLevelGpuProgram.h